J_PROTO_KEY_COMPARE_FUNC(3)

PROTO_FUNC
j_PROTO_key_compare_func - This routine will compare two keys.

SYNOPSIS
#include <karma_j.h>

int j_PROTO_key_compare_func

(void *key1, void *key2)

DESCRIPTION
This routine will compare two keys.

key1
    The first key.

key2
    The second key.

RETURN VALUE
0 if the keys match, a negative number if <<key1>> is less than <<key2>>, a positive number if <<key1>> is greater than <<key2>>.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/